﻿SET NOCOUNT ON
SET XACT_ABORT ON 
     
DECLARE @sourceSystemName varchar(50), 
        @ruleID int,
        @ruleName varchar(50),
        @ruleTag varchar(50),
        @entity varchar(50),
        @masterCriterionID int,
        @criterionGroupID int,
        @stopRule bit,
        @enabled bit,
        @from datetime,
        @to datetime,
        @err int

SET @sourceSystemName       = 'Exchange'

SET @ruleName               = 'H080001 Large mails'
SET @ruleTag                = 'H080001 Large mails'
SET @entity                 = 'Mail'
SET @stopRule               = 0
SET @from                   = '2015-02-09T00:00:00'
SET @to                     = NULL
SET @enabled                = ISNULL({Enabled}, 0)

BEGIN TRANSACTION

    EXECUTE @err = dbo.RuleInsert @sourceSystemName, @ruleName, @ruleTag, @entity, @stopRule, @from, @to, @enabled, @masterCriterionID OUT, @criterionGroupID OUT, @ruleID OUT IF @err <> 0 GOTO ExitScript

	EXECUTE @err =  dbo.RuleDestinationSystemInsert @ruleID, 'QA Exchange' IF @err <> 0 GOTO ExitScript
	
	EXECUTE @err = dbo.CriterionInsert @criterionGroupID, @sourceSystemName, 'Mail', 'Length KB', 'større end', '10000' IF @err <> 0 GOTO ExitScript

	-- Add specified (passed arguments) last modified criteria
	IF {FromDate} IS NOT NULL
	BEGIN
		EXECUTE @err = dbo.CriterionInsert @criterionGroupID, @sourceSystemName, @entity, 'Modified', 'større end', {FromDate} IF @err <> 0 GOTO ExitScript
	END
	-- End specified (passed arguments) last modified criteria

ExitScript:
    IF @err = 0
    BEGIN
        COMMIT TRANSACTION
    END
    ELSE
        IF XACT_STATE() <> 0 
            ROLLBACK TRANSACTION
